## khelpcenter 21.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "21")
set (RELEASE_SERVICE_VERSION_MINOR "12")
set (RELEASE_SERVICE_VERSION_MICRO "3")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
set (KDE_APPLICATIONS_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")

project(KHelpCenter VERSION "5.7.6.${KDE_APPLICATIONS_COMPACT_VERSION}")

set(QT_MIN_VERSION "5.15.0")

set(KF5_MIN_VERSION "5.83.0")
find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(ECMInstallIcons)
include(ECMMarkAsTest)
include(ECMMarkNonGuiExecutable)
include(ECMOptionalAddSubdirectory)
include(FeatureSummary)
include(CheckIncludeFiles)
include(ECMQtDeclareLoggingCategory)

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    DBus
    Widgets
    Xml
)

find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
    Archive
    Bookmarks
    Config
    CoreAddons
    DBusAddons
    DocTools
    I18n
    KHtml
    Service
    WindowSystem
)

find_package(Grantlee5 REQUIRED)
set_package_properties(Grantlee5 PROPERTIES
    DESCRIPTION "Support for HTML templates"
    URL "https://github.com/steveire/grantlee"
    TYPE REQUIRED)

find_package(Xapian REQUIRED)
set_package_properties(Xapian PROPERTIES
    DESCRIPTION "Support for text indexing and searching"
    URL "https://xapian.org/"
    TYPE REQUIRED)

find_package(LibXml2 REQUIRED)
set_package_properties(LibXml2 PROPERTIES
    DESCRIPTION "Support for extracting text from HTML documents"
    URL "http://www.xmlsoft.org/"
    TYPE REQUIRED)

add_definitions(
  -DQT_USE_QSTRINGBUILDER
  -DQT_NO_CAST_TO_ASCII
  -DQT_NO_CAST_FROM_ASCII
  -DQT_NO_URL_CAST_FROM_STRING
  -DQT_NO_CAST_FROM_BYTEARRAY
)

add_definitions(-DQT_NO_FOREACH)
add_definitions(-DQT_NO_KEYWORDS)


add_subdirectory( plugins )
add_subdirectory( searchhandlers )
if(BUILD_TESTING)
    add_subdirectory( tests )
endif()
add_subdirectory( doc )
add_subdirectory( templates )

########### next target ###############

add_executable(khelpcenter)

target_sources(khelpcenter PRIVATE
   navigator.cpp
   navigatoritem.cpp
   navigatorappitem.cpp
   navigatorappgroupitem.cpp
   view.cpp
   searchwidget.cpp
   searchengine.cpp
   docmetainfo.cpp
   docentrytraverser.cpp
   grantleeformatter.cpp
   glossary.cpp
   toc.cpp
   mainwindow.cpp
   docentry.cpp
   history.cpp
   application.cpp
   treebuilder.cpp
   infotree.cpp
   fontdialog.cpp
   plugintraverser.cpp
   scrollkeepertreebuilder.cpp
   bookmarkowner.cpp
   searchhandler.cpp

   khelpcenter.qrc
)

ecm_qt_declare_logging_category(khelpcenter
    HEADER khc_debug.h
    IDENTIFIER KHC_LOG
    CATEGORY_NAME org.kde.khelpcenter
    DESCRIPTION "khelpcenter"
    EXPORT KHELPCENTER
)

kconfig_add_kcfg_files(khelpcenter prefs.kcfgc )
# kf5_add_app_icon(khelpcenter_SRCS "${KDE4_INSTALL_DIR}/share/icons/oxygen/*/apps/help-browser.png")

target_compile_definitions(khelpcenter PRIVATE -DPROJECT_VERSION="${PROJECT_VERSION}")
target_link_libraries(khelpcenter KF5::KHtml KF5::Service KF5::DBusAddons KF5::ConfigGui KF5::WindowSystem KF5::Bookmarks KF5::DocTools Qt5::Xml Grantlee5::Templates)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

install(TARGETS khelpcenter ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install( PROGRAMS org.kde.Help.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
install( FILES khelpcenter.kcfg  DESTINATION  ${KDE_INSTALL_KCFGDIR} )
install( FILES khelpcenter.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )
install( FILES khelpcenter.desktop  DESTINATION  ${KDE_INSTALL_DATAROOTDIR}/kde4/services )
install( FILES table-of-contents.xslt glossary.xslt DESTINATION ${KDE_INSTALL_DATADIR}/khelpcenter )
install( FILES org.kde.Help.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

ecm_qt_install_logging_categories(
    EXPORT KHELPCENTER
    FILE khelpcenter.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)
if (KF5DocTools_FOUND)
 kdoctools_install(po)
endif()

=== plugins/CMakeLists.txt ===

add_subdirectory( Applications ) 
if (NOT WIN32)
add_subdirectory( Manpages ) 
add_subdirectory( Scrollkeeper ) 
endif ()


########### install files ###############

install( FILES fundamentals.desktop plasma.desktop 
               onlinehelp.desktop 
               info.desktop kicmodules.desktop 
               kcontrolmodules.desktop 
               konquerorcontrolmodules.desktop
               browsercontrolmodules.desktop 
               filemanagercontrolmodules.desktop
               othercontrolmodules.desktop 
               kioslaves.desktop  DESTINATION  ${KDE_INSTALL_DATADIR}/khelpcenter/plugins )

=== searchhandlers/CMakeLists.txt ===
include_directories(
  ${XAPIAN_INCLUDE_DIR}
  ${LIBXML2_INCLUDE_DIR}
)

# Xapian does not like signals/slots #define's
add_definitions(-DQT_NO_KEYWORDS)

# Xapian indexer
add_executable(khc_xapianindexer)
kde_target_enable_exceptions(khc_xapianindexer PRIVATE)
ecm_mark_nongui_executable(khc_xapianindexer)

target_sources(khc_xapianindexer PRIVATE
   cachereader.cpp
   htmltextdump.cpp
   xapiancommon.cpp
   xapianindexer.cpp
)

target_link_libraries(khc_xapianindexer KF5::DocTools Qt5::Core KF5::Archive KF5::CoreAddons ${XAPIAN_LIBRARIES} ${LIBXML2_LIBRARIES})
install(TARGETS khc_xapianindexer DESTINATION ${KDE_INSTALL_LIBEXECDIR})

# Xapian search
add_executable(khc_xapiansearch)
kde_target_enable_exceptions(khc_xapiansearch PRIVATE)
ecm_mark_nongui_executable(khc_xapiansearch)

target_sources(khc_xapiansearch PRIVATE
   xapiancommon.cpp
   xapiansearch.cpp
)
target_link_libraries(khc_xapiansearch Qt5::Core ${XAPIAN_LIBRARIES})
install(TARGETS khc_xapiansearch DESTINATION ${KDE_INSTALL_LIBEXECDIR})

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/xapian.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/xapian.desktop)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/xapian.desktop DESTINATION ${KDE_INSTALL_DATADIR}/khelpcenter/searchhandlers)

if (NOT WIN32)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/man.desktop.cmake
${CMAKE_CURRENT_BINARY_DIR}/man.desktop )

########### install files ###############

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/man.desktop DESTINATION ${KDE_INSTALL_DATADIR}/khelpcenter/searchhandlers)

install(PROGRAMS khc_mansearch.pl DESTINATION ${KDE_INSTALL_LIBEXECDIR})

endif ()

=== doc/khelpcenter/CMakeLists.txt ===
########### install files ###############
#
#
#
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR khelpcenter)

=== debian/changelog ===
khelpcenter (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:10:55 +0000

khelpcenter (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:17:27 +0000

khelpcenter (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:25:22 +0000

khelpcenter (4:21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:22:27 +0000

khelpcenter (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:06:48 +0000

khelpcenter (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:17:40 +0000

khelpcenter (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:26:21 +0000

khelpcenter (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:40:12 +0000

=== debian/control ===
Source: khelpcenter
Section: doc
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.64.0~),
               gettext,
               kinit-dev (>= 5.64.0~),
               libgrantlee5-dev,
               libkf5archive-dev (>= 5.64.0~),
               libkf5bookmarks-dev (>= 5.64.0~),
               libkf5config-dev (>= 5.64.0~),
               libkf5coreaddons-dev (>= 5.64.0~),
               libkf5dbusaddons-dev (>= 5.64.0~),
               libkf5doctools-dev (>= 5.64.0~),
               libkf5i18n-dev (>= 5.64.0~),
               libkf5khtml-dev (>= 5.64.0~),
               libkf5service-dev (>= 5.64.0~),
               libkf5windowsystem-dev (>= 5.64.0~),
               libxapian-dev,
               libxml2-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.12.0~),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://invent.kde.org/system/khelpcenter
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khelpcenter
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khelpcenter

Package: khelpcenter
Architecture: any
Depends: kdoctools5, kinit, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Recommends: man-db
Conflicts: dhelp (<< 0.6.26)
Description: KDE documentation viewer
 KHelpCenter uses meta data files which describe the documentation
 available in the system. Each document is represented by a meta data
 file and shown as an entry in the KHelpCenter navigation tree view.
 The meta data contains information about title and short description
 of the document, the location of the document and some more
 information like how to search the document and translations of title
 and description. Document hierarchy is represented as hierarchy of
 the meta data files. Directories are also described by a meta data
 file which contains the same information as a document meta data
 file.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5

## khelpcenter 22.08.1

=== debian/changelog ===
khelpcenter (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:40:18 +0100

khelpcenter (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:50:08 +0100

khelpcenter (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:27:43 +0100

khelpcenter (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:01:51 +0100

khelpcenter (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:00:05 +0100

khelpcenter (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:48:18 +0100

## khelpcenter 22.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,18 +1,18 @@
 cmake_minimum_required(VERSION 3.16)
 
-# KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "21")
+# KDE Gear version, managed by release script
+set (RELEASE_SERVICE_VERSION_MAJOR "22")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
 set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
-set (KDE_APPLICATIONS_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
+set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
-project(KHelpCenter VERSION "5.7.6.${KDE_APPLICATIONS_COMPACT_VERSION}")
+project(KHelpCenter VERSION "5.8.${RELEASE_SERVICE_COMPACT_VERSION}")
 
 set(QT_MIN_VERSION "5.15.0")
+set(KF_MIN_VERSION "5.89.0")
 
-set(KF5_MIN_VERSION "5.83.0")
-find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
+find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
 include(KDEInstallDirs)
@@ -26,6 +26,7 @@
 include(FeatureSummary)
 include(CheckIncludeFiles)
 include(ECMQtDeclareLoggingCategory)
+include(ECMGenerateDBusServiceFile)
 
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
     DBus
@@ -33,7 +34,7 @@
     Xml
 )
 
-find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS
+find_package(KF5 ${KF_MIN_VERSION} REQUIRED COMPONENTS
     Archive
     Bookmarks
     Config
@@ -63,18 +64,6 @@
     DESCRIPTION "Support for extracting text from HTML documents"
     URL "http://www.xmlsoft.org/"
     TYPE REQUIRED)
-
-add_definitions(
-  -DQT_USE_QSTRINGBUILDER
-  -DQT_NO_CAST_TO_ASCII
-  -DQT_NO_CAST_FROM_ASCII
-  -DQT_NO_URL_CAST_FROM_STRING
-  -DQT_NO_CAST_FROM_BYTEARRAY
-)
-
-add_definitions(-DQT_NO_FOREACH)
-add_definitions(-DQT_NO_KEYWORDS)
-
 
 add_subdirectory( plugins )
 add_subdirectory( searchhandlers )
@@ -138,12 +127,21 @@
 
 ########### install files ###############
 
-install( PROGRAMS org.kde.Help.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
+ecm_generate_dbus_service_file(
+    NAME org.kde.khelpcenter
+    EXECUTABLE ${KDE_INSTALL_FULL_BINDIR}/khelpcenter
+    DESTINATION ${KDE_INSTALL_DBUSSERVICEDIR}
+)
+
+install( PROGRAMS org.kde.khelpcenter.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
 install( FILES khelpcenter.kcfg  DESTINATION  ${KDE_INSTALL_KCFGDIR} )
 install( FILES khelpcenter.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )
 install( FILES khelpcenter.desktop  DESTINATION  ${KDE_INSTALL_DATAROOTDIR}/kde4/services )
 install( FILES table-of-contents.xslt glossary.xslt DESTINATION ${KDE_INSTALL_DATADIR}/khelpcenter )
-install( FILES org.kde.Help.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )
+install( FILES org.kde.khelpcenter.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )
+
+ki18n_install(po)
+kdoctools_install(po)
 
 ecm_qt_install_logging_categories(
     EXPORT KHELPCENTER
@@ -152,7 +150,3 @@
 )
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)
-ki18n_install(po)
-if (KF5DocTools_FOUND)
- kdoctools_install(po)
-endif()

=== templates/CMakeLists.txt ===
install( FILES glossary.html index.html search.html DESTINATION ${KDE_INSTALL_DATADIR}/khelpcenter/templates )

=== plugins/Manpages/CMakeLists.txt ===

install( FILES .directory man1.desktop man2.desktop man3.desktop man4.desktop    man5.desktop man6.desktop man7.desktop man8.desktop  DESTINATION  ${KDE_INSTALL_DATADIR}/khelpcenter/plugins/Manpages )

=== debian/changelog ===
khelpcenter (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:57:53 +0100

khelpcenter (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:06:08 +0100

khelpcenter (4:22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:42 +0100

khelpcenter (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.12.0).
  * Refresh lintian overrides.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:12:57 +0100

khelpcenter (4:22.04.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.04.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 04 Jun 2022 23:38:28 +0200

khelpcenter (4:21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Bump Standards-Version to 4.6.0, no change required.
  * Added myself to the uploaders.
  * Drop now useless lintian overrides.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 06 Mar 2022 22:51:58 +0100

=== debian/control ===
Source: khelpcenter
Section: doc
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.89.0~),
               gettext,
               kinit-dev (>= 5.64.0~),
               libgrantlee5-dev,
               libkf5archive-dev (>= 5.89.0~),
               libkf5bookmarks-dev (>= 5.89.0~),
               libkf5config-dev (>= 5.89.0~),
               libkf5coreaddons-dev (>= 5.89.0~),
               libkf5dbusaddons-dev (>= 5.89.0~),
               libkf5doctools-dev (>= 5.89.0~),
               libkf5i18n-dev (>= 5.89.0~),
               libkf5khtml-dev (>= 5.89.0~),
               libkf5service-dev (>= 5.89.0~),
               libkf5windowsystem-dev (>= 5.89.0~),
               libxapian-dev,
               libxml2-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://invent.kde.org/system/khelpcenter
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/khelpcenter
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/khelpcenter.git

Package: khelpcenter
Architecture: any
Depends: kdoctools5, kinit, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends},
Recommends: man-db,
Conflicts: dhelp (<< 0.6.26),
Description: KDE documentation viewer
 KHelpCenter uses meta data files which describe the documentation
 available in the system. Each document is represented by a meta data
 file and shown as an entry in the KHelpCenter navigation tree view.
 The meta data contains information about title and short description
 of the document, the location of the document and some more
 information like how to search the document and translations of title
 and description. Document hierarchy is represented as hierarchy of
 the meta data files. Directories are also described by a meta data
 file which contains the same information as a document meta data
 file.

## khelpcenter 23.08.0

=== debian/changelog ===
khelpcenter (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:54:23 +0100

khelpcenter (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:34:10 +0100

khelpcenter (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:47:28 +0100

khelpcenter (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:57:13 +0100

khelpcenter (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:38:22 +0000

khelpcenter (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:17:16 -0600

khelpcenter (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:15:11 +0000

khelpcenter (4:22.12.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Dec 2022 08:45:42 +0000

khelpcenter (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:09:35 +0000

khelpcenter (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:05:53 +0000

khelpcenter (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:50:45 +0000

khelpcenter (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:09:17 +0000

## khelpcenter 23.08.1

=== debian/changelog ===
khelpcenter (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 11:59:28 +0100

## khelpcenter 23.08.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Gear version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "22")
-set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MAJOR "23")
+set (RELEASE_SERVICE_VERSION_MINOR "08")
 set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")

=== debian/changelog ===
khelpcenter (4:23.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Jesse Rhodes ]
  * New upstream release (23.08.2).
  * Update build-deps and deps with info from cmake.
  * Update and clarify package descriptions.
  * New upstream release (23.08.3).

 -- Jesse Rhodes <jesse@sney.ca>  Sat, 11 Nov 2023 17:43:05 -0500

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
                debhelper-compat (= 13),
                extra-cmake-modules (>= 5.89.0~),
                gettext,
-               kinit-dev (>= 5.64.0~),
                libgrantlee5-dev,
                libkf5archive-dev (>= 5.89.0~),
                libkf5bookmarks-dev (>= 5.89.0~),
@@ -33,17 +32,14 @@
 
 Package: khelpcenter
 Architecture: any
-Depends: kdoctools5, kinit, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends},
+Depends: kdoctools5, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends},
 Recommends: man-db,
 Conflicts: dhelp (<< 0.6.26),
-Description: KDE documentation viewer
- KHelpCenter uses meta data files which describe the documentation
- available in the system. Each document is represented by a meta data
- file and shown as an entry in the KHelpCenter navigation tree view.
- The meta data contains information about title and short description
- of the document, the location of the document and some more
- information like how to search the document and translations of title
- and description. Document hierarchy is represented as hierarchy of
- the meta data files. Directories are also described by a meta data
- file which contains the same information as a document meta data
- file.
+Description: search and read system documentation
+ KHelpCenter is an application to search and read documentation for 
+ applications, modules, libraries, and system utilities.
+ .
+ It collects documentation from various sources (KDE community, man pages, etc) 
+ and displays them in one window.
+ .
+ This package is part of the KDE System module.

## khelpcenter 23.08.4

=== debian/changelog ===
khelpcenter (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:15:36 +0000

khelpcenter (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:35:11 +0000

khelpcenter (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:31:29 +0100

## khelpcenter 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # KDE Gear version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "23")
 set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "3")
+set (RELEASE_SERVICE_VERSION_MICRO "5")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")

=== debian/changelog ===
khelpcenter (4:23.08.5-0ubuntu4) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5dbus5t64,
    libqt5gui5t64, libqt5widgets5t64, libqt5xml5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:42:08 +0200

khelpcenter (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:05:02 +0000

khelpcenter (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:58:23 +0000

khelpcenter (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Sun, 25 Feb 2024 01:07:41 -0700

=== debian/control ===
Source: khelpcenter
Section: doc
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.89.0~),
               gettext,
               kinit-dev (>= 5.64.0~),
               libgrantlee5-dev,
               libkf5archive-dev (>= 5.89.0~),
               libkf5bookmarks-dev (>= 5.89.0~),
               libkf5config-dev (>= 5.89.0~),
               libkf5coreaddons-dev (>= 5.89.0~),
               libkf5dbusaddons-dev (>= 5.89.0~),
               libkf5doctools-dev (>= 5.89.0~),
               libkf5i18n-dev (>= 5.89.0~),
               libkf5khtml-dev (>= 5.89.0~),
               libkf5service-dev (>= 5.89.0~),
               libkf5windowsystem-dev (>= 5.89.0~),
               libxapian-dev,
               libxml2-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://invent.kde.org/system/khelpcenter
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khelpcenter
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khelpcenter

Package: khelpcenter
Architecture: any
Depends: kdoctools5, kinit, ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
Recommends: man-db
Conflicts: dhelp (<< 0.6.26)
Description: KDE documentation viewer
 KHelpCenter uses meta data files which describe the documentation
 available in the system. Each document is represented by a meta data
 file and shown as an entry in the KHelpCenter navigation tree view.
 The meta data contains information about title and short description
 of the document, the location of the document and some more
 information like how to search the document and translations of title
 and description. Document hierarchy is represented as hierarchy of
 the meta data files. Directories are also described by a meta data
 file which contains the same information as a document meta data
 file.

## khelpcenter 24.08.0

=== debian/changelog ===
khelpcenter (4:24.08.0-0ubuntu2) oracular; urgency=medium

  * Fix data package breaks/replaces versioning.

 -- Rik Mills <rikmills@kde.org>  Sat, 28 Sep 2024 18:04:49 +0100

khelpcenter (4:24.08.0-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * Merge debian experimental.
  * Add breaks/replace khelpcenter. 

 -- Scarlett Moore <sgmoore@debian.org>  Tue, 03 Sep 2024 05:27:07 -0700

khelpcenter (4:24.05.2-4) unstable; urgency=medium

  [ Scarlett Moore ]
  * Remove inactive uploaders, thanks for your work. 

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Thu, 15 Aug 2024 00:53:25 -0700

khelpcenter (4:24.05.2-3) experimental; urgency=medium

  [ Scarlett Moore ]
  * Fix dependency version for data package.

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 12 Aug 2024 09:46:16 -0700

khelpcenter (4:24.05.2-2) experimental; urgency=medium

  [ Scarlett Moore ]
  * Fix khelpcenter-data runtime depend typo.

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 12 Aug 2024 06:55:34 -0700

khelpcenter (4:24.05.2-1) experimental; urgency=medium

  [ Debian Qt/KDE Maintainers ]
  * New upstream release (24.05.2).

  [ Scarlett Moore ]
  * Add myself to uploaders.
  * Update dependencies according to cmake.
  * Remove kf5 from rules.
  * Bump standards version 4.7.0; no changes required.
  * Refresh copyright.
  * Remove dhelp conflict as theversion does not exist in any recent release.
  * Split our arch independent data into -data package as per policy Section
    6.7.5.

 -- Scarlett Moore <sgmoore@debian.org>  Tue, 06 Aug 2024 05:46:04 -0700

=== debian/control ===
Source: khelpcenter
Section: doc
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Scarlett Moore <sgmoore@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.0.0~),
               gettext,
               libkf6archive-dev (>= 6.0.0~),
               libkf6bookmarks-dev (>= 6.0.0~),
               libkf6config-dev (>= 6.0.0~),
               libkf6configwidgets-dev (>= 6.0.0~),
               libkf6coreaddons-dev (>= 6.0.0~),
               libkf6completion-dev (>= 6.0.0~),
               libkf6dbusaddons-dev(>= 6.0.0~),
               libkf6doctools-dev (>= 6.0.0~),
               libkf6i18n-dev (>= 6.0.0~),
               libkf6kio-dev (>= 6.0.0~),
               libkf6xmlgui-dev (>= 6.0.0~),
               libkf6service-dev (>= 6.0.0~),
               libkf6texttemplate-dev (>= 6.0.0~),
               libkf6widgetsaddons-dev (>= 6.0.0~),
               libkf6windowsystem-dev (>= 6.0.0~),
               libxapian-dev,
               libxml2-dev,
               pkgconf,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-webengine-dev (>= 6.5.0+dfsg~),
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://invent.kde.org/system/khelpcenter
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khelpcenter
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khelpcenter

Package: khelpcenter
Architecture: any
Depends: kdoctools6,
         khelpcenter-data (>= 4:24.05.2),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends},
Recommends: man-db,
Description: search and read system documentation
 KHelpCenter is an application to search and read documentation for 
 applications, modules, libraries, and system utilities.
 .
 It collects documentation from various sources (KDE community, man pages, etc) 
 and displays them in one window.
 .
 This package is part of the KDE System module.

Package: khelpcenter-data
Architecture: all
Multi-Arch: foreign
Breaks: khelpcenter (<< 4:24.08.0~)
Replaces: khelpcenter (<< 4:24.08.0~)
Depends: ${misc:Depends},
Description: search and read system documentation data
 KHelpCenter is an application to search and read documentation for
 applications, modules, libraries, and system utilities.
 .
 It collects documentation from various sources (KDE community, man pages, etc)
 and displays them in one window.
 .
 This package is part of the KDE System module.
 .
 This package contains the data files.

## khelpcenter 24.08.2

=== debian/changelog ===
khelpcenter (4:24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 02 Nov 2024 17:55:26 -0500

khelpcenter (4:24.08.2-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Remove inactive uploaders, thanks for your work.

  [ Aurélien COUDERC ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.
  * Add missing Breaks/Replaces for the -data package split.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 14 Oct 2024 08:44:21 +0200

=== debian/control ===
--- 
+++ 
@@ -12,19 +12,19 @@
                gettext,
                libkf6archive-dev (>= 6.0.0~),
                libkf6bookmarks-dev (>= 6.0.0~),
+               libkf6completion-dev (>= 6.0.0~),
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
-               libkf6completion-dev (>= 6.0.0~),
                libkf6dbusaddons-dev(>= 6.0.0~),
                libkf6doctools-dev (>= 6.0.0~),
                libkf6i18n-dev (>= 6.0.0~),
                libkf6kio-dev (>= 6.0.0~),
-               libkf6xmlgui-dev (>= 6.0.0~),
                libkf6service-dev (>= 6.0.0~),
                libkf6texttemplate-dev (>= 6.0.0~),
                libkf6widgetsaddons-dev (>= 6.0.0~),
                libkf6windowsystem-dev (>= 6.0.0~),
+               libkf6xmlgui-dev (>= 6.0.0~),
                libxapian-dev,
                libxml2-dev,
                pkgconf,
@@ -45,10 +45,10 @@
          ${shlibs:Depends},
 Recommends: man-db,
 Description: search and read system documentation
- KHelpCenter is an application to search and read documentation for 
+ KHelpCenter is an application to search and read documentation for
  applications, modules, libraries, and system utilities.
  .
- It collects documentation from various sources (KDE community, man pages, etc) 
+ It collects documentation from various sources (KDE community, man pages, etc)
  and displays them in one window.
  .
  This package is part of the KDE System module.

## khelpcenter 24.08.3

=== debian/changelog ===
khelpcenter (4:24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:41:04 +0000

## khelpcenter 24.11.80

=== debian/changelog ===
khelpcenter (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Nov 2024 14:52:11 +0000

## khelpcenter 24.11.90

=== debian/changelog ===
khelpcenter (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:08:31 +0000

## khelpcenter 24.12.0

=== debian/changelog ===
khelpcenter (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:12:10 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libkf6config-dev (>= 6.0.0~),
                libkf6configwidgets-dev (>= 6.0.0~),
                libkf6coreaddons-dev (>= 6.0.0~),
-               libkf6dbusaddons-dev(>= 6.0.0~),
+               libkf6dbusaddons-dev (>= 6.0.0~),
                libkf6doctools-dev (>= 6.0.0~),
                libkf6i18n-dev (>= 6.0.0~),
                libkf6kio-dev (>= 6.0.0~),

## khelpcenter 24.12.1

=== debian/changelog ===
khelpcenter (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)
  * Limit build to architectures where QtWebEngine is available.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:31:21 +0000

=== debian/control ===
--- 
+++ 
@@ -37,7 +37,7 @@
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/khelpcenter
 
 Package: khelpcenter
-Architecture: any
+Architecture: amd64 arm64 armhf
 Depends: kdoctools6,
          khelpcenter-data (>= 4:24.05.2),
          ${misc:Depends},

## khelpcenter 24.12.2

=== debian/changelog ===
khelpcenter (4:24.12.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Limit build to architectures where QtWebEngine is available.

 -- Rik Mills <rikmills@kde.org>  Mon, 17 Feb 2025 13:37:02 +0000

khelpcenter (4:24.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Trim trailing whitespace.
  * Remove an obsolete maintscript entry.
  * Re-export upstream signing key without extra signatures.
  * CI: enable blhc again, as it works fine.
  * Make khelpcenter properly depend on the current version of
    khelpcenter-data, rather than an arbitrary one.
  * Concatenate GPG signatures.
  * Drop the unused ${perl:Depends} substvar for khelpcenter.
  * Properly handle the Python dependencies & shebangs using dh-python:
    - add the dh-sequence-python3 build dependency to use the python3 dh addon
    - replace the manual python3:any dependency in khelpcenter with the
      ${python3:Depends} substvar
    - point dh_python3 to libexec
    - drop the patch fix-env-binary-path, no more needed
  * Move the AppStream XML metainfo from khelpcenter-data to khelpcenter,
    together with the executable it represents
    - add proper breaks/replaces
  * Sort install files.

 -- Pino Toscano <pino@debian.org>  Sat, 15 Feb 2025 11:00:36 +0100

khelpcenter (4:24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 14:17:16 +0000

khelpcenter (4:24.12.1-1) unstable; urgency=medium

  * New upstream release
  * Team upload

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 21 Jan 2025 07:56:12 +0100

khelpcenter (4:24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Add patch to fix the location of the env binary used by
    searchhandlers/khc_mansearch.py.
  * Add python3:any dependency for searchhandlers/khc_mansearch.py.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Dec 2024 23:45:49 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,10 @@
 XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Scarlett Moore <sgmoore@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
+               dh-sequence-python3,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.0.0~),
                gettext,
                libkf6archive-dev (>= 6.0.0~),
@@ -39,11 +40,13 @@
 Package: khelpcenter
 Architecture: amd64 arm64 armhf
 Depends: kdoctools6,
-         khelpcenter-data (>= 4:24.05.2),
+         khelpcenter-data (>= ${source:Version}),
          ${misc:Depends},
-         ${perl:Depends},
+         ${python3:Depends},
          ${shlibs:Depends},
 Recommends: man-db,
+Breaks: khelpcenter-data (<< 4:24.12.2-1~),
+Replaces: khelpcenter-data (<< 4:24.12.2-1~),
 Description: search and read system documentation
  KHelpCenter is an application to search and read documentation for
  applications, modules, libraries, and system utilities.
@@ -56,9 +59,9 @@
 Package: khelpcenter-data
 Architecture: all
 Multi-Arch: foreign
-Breaks: khelpcenter (<< 4:24.08.0~)
-Replaces: khelpcenter (<< 4:24.08.0~)
 Depends: ${misc:Depends},
+Breaks: khelpcenter (<< 4:24.05.2-1~),
+Replaces: khelpcenter (<< 4:24.05.2-1~),
 Description: search and read system documentation data
  KHelpCenter is an application to search and read documentation for
  applications, modules, libraries, and system utilities.
